## PothosWidgets-0.5.1.tar.gz

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.1.0)
project(PothosWidgets CXX)

if(${CMAKE_PROJECT_NAME} STREQUAL ${PROJECT_NAME})
    find_package(Pothos "0.4.0" CONFIG REQUIRED)
else()
    find_package(Pothos CONFIG REQUIRED) #in-tree build
endif()

#args to set the CMAKE_PREFIX_PATH environment variable
if (CMAKE_PREFIX_PATH)
    set(ENV{CMAKE_PREFIX_PATH} ${CMAKE_PREFIX_PATH})
endif (CMAKE_PREFIX_PATH)

########################################################################
# Qt devel setup
########################################################################
find_package(QT NAMES Qt6 Qt5 COMPONENTS Core)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets Concurrent)
message(STATUS "QT_VERSION_MAJOR=${QT_VERSION_MAJOR}")
set(CMAKE_AUTOMOC ON)

########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_WIDGETS "Enable Pothos Widgets component" ON "Pothos_FOUND;Qt${QT_VERSION_MAJOR}_FOUND" OFF)
add_feature_info(Widgets ENABLE_WIDGETS "Graphical control widgets for the GUI")
if (NOT ENABLE_WIDGETS)
    return()
endif()

########################################################################
# Build control widgets module
########################################################################
set(SOURCES
    QStringSupport.cpp
    Slider.cpp
    NumericEntry.cpp
    TextDisplay.cpp
    DropDown.cpp
    RadioGroup.cpp
    PlanarSelect.cpp
    ChatBox.cpp
    PushButton.cpp
    MyDoubleSlider.cpp
    Odometer.cpp
    indicator.cpp
    TextEntry.cpp
    ColoredBox.cpp
)

POTHOS_MODULE_UTIL(
    TARGET ControlWidgets
    SOURCES ${SOURCES}
    LIBRARIES Qt${QT_VERSION_MAJOR}::Widgets
    DESTINATION widgets
    ENABLE_DOCS
)

#Qt 5.11 introduced QFontMetrics::horizontalAdvance() to replace width
#this simple define keeps slightly older versions of Qt compiling for now
if ("${Qt${QT_VERSION_MAJOR}_VERSION}" VERSION_LESS "5.11")
    target_compile_definitions(ControlWidgets PRIVATE -DhorizontalAdvance=width)
endif()

=== debian/changelog ===
pothos-widgets (0.5.1-1) unstable; urgency=low

  * Release 0.5.1 (2021-07-25)

 -- Josh Blum <josh@pothosware.com>  Sun, 25 Jul 2021 17:48:33 -0000

pothos-widgets (0.5.0-1) unstable; urgency=low

  * Release 0.5.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:31:32 -0000

pothos-widgets (0.4.3-1) unstable; urgency=low

  * Release 0.4.3 (2017-06-14)

 -- Josh Blum <josh@pothosware.com>  Wed, 14 Jun 2017 19:43:08 -0000

pothos-widgets (0.4.2-1) unstable; urgency=low

  * Release 0.4.2 (2017-04-23)

 -- Josh Blum <josh@pothosware.com>  Sun, 23 Apr 2017 20:53:01 -0000

pothos-widgets (0.4.1) unstable; urgency=low

  * Release 0.4.1 (2017-01-26)

 -- Josh Blum <josh@pothosware.com>  Thu, 26 Jan 2017 21:10:42 -0800

pothos-widgets (0.4.0) unstable; urgency=low

  * Release 0.4.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:39:44 -0700

pothos-widgets (0.3.0) unstable; urgency=low

  * Release 0.3.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800

=== debian/control ===
Source: pothos-widgets
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpothos-dev,
    qtbase5-dev, libqt5svg5-dev, libqt5opengl5-dev
Standards-Version: 4.5.0
Homepage: https://github.com/pothosware/PothosWidgets/wiki
Vcs-Git: https://github.com/pothosware/PothosWidgets.git
Vcs-Browser: https://github.com/pothosware/PothosWidgets

Package: pothos-modules-widgets
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.7-modules-widgets, ${misc:Depends}
Description: graphical control widgets - metapackage
 The Pothos data-flow software suite.

Package: pothos0.7-modules-widgets
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical control widgets
 The Pothos data-flow software suite.
